@import "~sass/media";
@import "~sass/variables";

.footer-txt li a {
  font-size: 13px;
}
.col-md-4 > .row {
  flex-wrap: nowrap !important;
}
.subcription-btn {
  height: 36px;
  margin-left: 2px;
  width: 70%;
  border: 1px solid #dfdfdf;
}

::ng-deep .list-inline-item:not(:last-child) {
  margin-right: 0 !important;
}

.subsctibe-box {
  cursor: pointer;
}
.subsctibe-wrap p {
  font-size: 14px;
}

.subsctibe-box .btn-info {
  color: $font-white;
  background-color: $primary-color;
  border-color: $primary-color;
}

.subsctibe-box .input-group {
  //margin: 20px auto;
  width: 100%;
}

.subsctibe-box input,
input:focus {
  outline: none;
  width: 70%;
  height: 46px;
  border-top-left-radius: 2px;
  border-bottom-left-radius: 2px;
  border: 1px solid #f4f4f4;
  padding-left: 3%;
  font-size: 14px;
  background-color: #f4f4f4;
  color: $font-black;
}

.subsctibe-box button.btn {
  width: 30%;
  height: 46px;
  border-radius: 0 2px 2px 0;
  background-color: $primary-color;
  color: $font-white;
  font-size: 14px;
  font-weight: 400;
  line-height: 26px;
  text-transform: uppercase;
  opacity: 1;
  @include for-size(tablet-portrait-up) {
    font-size: 11px;
    line-height: 0;
  }
}

.subsctibe-box .btn-lg {
  font-size: 14px;
  line-height: 1.5;
  border-radius: 0.3rem;
}
.social-media {
  height: 32px;
  width: 32px;
  border-radius: 50%;
  object-fit: contain;
}

@include for-size(phone-only) {
  .footertop-wrapper .row {
    line-height: 3;
    padding: 5px;
  }
  .subsctibe-box input,
  input:focus {
    width: 65%;
  }
  .subsctibe-box button.btn {
    width: 35%;
  }
}

@include for-size(tablet-portrait-up) {
  .subsctibe-box input,
  input:focus {
    width: 60%;
    height: 35px;
  }
  .subsctibe-box button.btn {
    width: 40%;
    height: 35px;
  }
  .list-inline-item img {
    width: 60%;
  }
  .list-inline-item:not(:last-child) {
    margin-right: -10px !important;
  }
  .payment-type img {
    width: 90% !important;
  }
  .list-inline {
    display: flex;
    justify-content: flex-start;
  }
}
@media (min-width: 768px) and (max-width: 800px) {
  .subsctibe-box button.btn {
    width: 37%;
    font-size: 8px !important;
  }
}
@include for-size(tablet-landscape-up) {
  .payment-type img {
    width: 90% !important;
  }
  .subsctibe-box input,
  input:focus {
    width: 63%;
  }
  .subsctibe-box button.btn {
    width: 37%;
  }
}

@mixin flex {
  display: flex;
  justify-content: center;
  align-items: center;
}

.footer {
  background-color: $teritary;

  .footertop-wrapper {
    height: 96px;
    // background: #3b3b3b;
    background: $teritary;
    @include for-size(phone-only) {
      height: 100%;
    }
    @include for-size(mobile-landscape) {
      height: 100%;
    }
    @include for-size(tablet-portrait-up) {
      height: 100%;
      padding: 20px 0;
    }
    @include for-size(tablet-landscape-up) {
      height: 100%;
      padding: 20px 0;
    }

    @include flex;
    @media all and (-ms-high-contrast: none), (-ms-high-contrast: active) {
      display: inline !important;
    }
    .footer-top {
      @include flex;
      flex-direction: row;
      align-items: normal;
      // height: 96px;
      @media (min-width: 320px) and (max-width: 767px) {
        justify-content: flex-start;
        align-items: center;
        height: 96px;
      }
      .footer-icon {
        @include flex;
        margin-bottom: 5px;
        @include for-size(phone-only){

          justify-content: center;
          align-items: center;
          margin-bottom: 5px;
        }
        img {
          // width: 100%;
          top: 0;
          bottom: 0;
          left: 0;
          right: 0;
          object-fit: contain;
          @include for-size(tablet-portrait-up) {
            width: 40px;
          }
        }
      }
      .footer-top-text {
        padding-left: 20px;
        .footer-icon-desc {
          //   color: #b1b1b1;
          color: $font-silver;
          font-size: 13px;
          font-weight: 400;
          letter-spacing: 0.65px;
          line-height: 24px;
          text-transform: uppercase;

          @include for-size(tablet-portrait-up) {
            font-size: 12px;
          }
        }
        .footer-desc-detail {
          color: #999999;
          font-size: 13px;
          font-weight: 400;
          letter-spacing: 0.26px;
          line-height: 18px;
          padding-right: 15px;
        }
      }
    }
  }
  .footer-middle-border {
    background-color: $teritary !important;
    height: 10px;
  }
  .footer-middle {
    padding-top: 20px;
    padding-bottom: 10px;
    height: 100%;
    // background-color: #333333;
    background-color: $teritary;
    // .col-md-3{
    //   margin-bottom: 30px;
    // }
    @supports (-webkit-appearance: none) {
      @include for-size(l1280-1365) {
        height: 290px;
      }
    }

    @include for-size(phone-only) {
      height: 100%;
    }

    .footer-mid-header {
      padding: 0px 0 10px 0;
      color: #333333;
      font-size: 14px;
      font-weight: 400;
      letter-spacing: 0.42px;
      line-height: 17px;
      text-transform: uppercase;
    }

    .footer-mid-list {
      // color: #7f7f7f;
      color: #777777;
      font-size: 14px;
      font-weight: 400;
      letter-spacing: 0.42px;
      line-height: 26px;
      cursor: pointer;
    }

    .footer-mid-Register {
      // color: #7f7f7f;
      color: #7a8998;
      line-height: 1.6rem;
      font-size: 14px;
    }

    .footer-mid-email {
      padding: 15px 0 20px 0;

      input {
        line-height: 1.8rem;
        padding: 0 0 0 5px;

        @include for-size(tablet-portrait-up) {
          width: 100px;
        }
      }

      .subscribe-btn {
        // color: #e4e4e4;
        // background: #808080;
        // border: 2px solid #808080;
        color: #fff;
        background: $primary-color;
        border: 2px solid $primary-color;
        padding: 2px 15px;
        cursor: pointer;

        @include for-size(tablet-landscape-up) {
          padding: 2px 5px;
        }

        @include for-size(tablet-portrait-up) {
          padding: 2px 5px;
        }

        @include for-size(l1280-1365) {
          @supports (-webkit-appearance: none) {
            padding: 2px 5px;
          }
        }
      }
    }
    .footer-social {
      display: flex;
      justify-content: flex-start;
      align-items: center;
      margin-top: 20px;

      .social-media {
        height: 32px;
        width: 32px;
        border-radius: 50%;
        object-fit: contain;
        margin-right: 10px;

        @include for-size(tablet-portrait-up) {
          margin: 0px;
        }
        @include for-size(tablet-landscape-up) {
          margin: 0px;
        }
      }
    }
    ::placeholder {
      /* Chrome, Firefox, Opera, Safari 10.1+ */
      color: #9b9b9b;
      font-size: 12px;
      font-weight: 400;
      letter-spacing: -0.6px;
    }

    :-ms-input-placeholder {
      /* Internet Explorer 10-11 */
      color: #9b9b9b;
      font-size: 12px;
      font-weight: 400;
      letter-spacing: -0.6px;
    }
  }

  .footer-copyright {
    @include flex;
    background-color: $quaternary;
    color: $font-silver;
    font-family: Arial;
    font-size: 12px;
    font-weight: 400;
    letter-spacing: 0.24px;
    line-height: 22px;
    height: 60px;
    @media all and (-ms-high-contrast: none), (-ms-high-contrast: active) {
      flex: none;
      padding-top: 20px;
      display: block;
    }
  }
  h6{
    color: $font-silver;
  }
  .footer-txt{
    color: $font-silver;
  }

.footer-border-rgt {
  // border-right: 2px solid #565656;
  border-right: 1px solid #ececec;
  // padding-left: 50px;
  @include for-size(phone-only) {
    display: none;
    border: 0px;
    padding-left: 15px;
  }
  @include for-size(l1280-622) {
    padding-left: 15px;
  }
  @include for-size(l1280-800) {
    padding-left: 15px;
  }
  @include for-size(tablet-landscape-up) {
    padding-left: 15px;
  }
  @include for-size(tablet-portrait-up) {
    padding-left: 15px;
  }
  @include for-size(l1366-1439) {
    padding-left: 15px;
  }
  @include for-size(mobile-lanscape) {
    padding-left: 15px;
  }
  @include for-size(phone-only) {
    padding-left: 15px;
  }
  @include for-size(l1025-1279) {
    padding-left: 15px;
  }
}
.pl-0 {
  @include for-size(phone-only) {
    padding-left: 15px !important;
  }
  @include for-size(l1280-622) {
    padding-left: 15px !important;
  }
  @include for-size(l1280-800) {
    padding-left: 15px !important;
  }
  @include for-size(tablet-landscape-up) {
    padding-left: 15px !important;
  }
  @include for-size(tablet-portrait-up) {
    padding-left: 15px !important;
  }
  @include for-size(l1366-1439) {
    padding-left: 15px !important;
  }
  @include for-size(mobile-lanscape) {
    padding-left: 15px !important;
  }
  @include for-size(l1025-1279) {
    padding-left: 15px !important;
  }
}
.footer-address {
  margin-bottom: 1rem;
  font-style: normal;
  line-height: inherit;
  color: #888888;
  font-size: 14px;
  font-weight: 400;
  letter-spacing: 0.28px;
  line-height: 22px;
  color: #555555;
}
.pl-0 {
  padding-left: 0;
}
.pr-0 {
  padding-right: 0;
}
.footer-capital {
  text-transform: uppercase;
  margin-bottom: 15px !important;
}
}